Skip to content

Danh sách video liên quan đến cửa hàng

Giới thiệu

Lấy danh sách video liên quan đến cửa hàng xác định với các tính năng sau:

  • Tìm theo ID cửa hàng
  • Trả về thông tin video chi tiết, bao gồm mô tả video, số lượt phát và dữ liệu tương tác
  • Bao gồm dữ liệu bán hàng liên quan đến video, chẳng hạn như sản lượng bán và doanh thu

Endpoint API

bash
    POST /shop/v1/videoList

Phần thân yêu cầu

TrườngKiểuBắt buộcMô tả
filterobjectKhôngTham số lọc
orderbyarrayKhôngTham số sắp xếp
pageintegerKhôngMặc định: 1
pagesizeintegerKhôngMặc định: 10

Giá trị tùy chọn của filter

TrườngKiểuBắt buộcMô tả
seller_idstringKhôngID cửa hàng
creator_uidstringKhôngUID nhà sáng tạo liên kết với cửa hàng
creator_unique_idstringKhôngID nhà sáng tạo duy nhất liên kết với cửa hàng: @xxxxxxx
seller_namestringKhôngTên cửa hàng
regionstringKhôngQuốc gia/Khu vực của cửa hàng
create_time_rangeobjectKhôngKhoảng thời gian đăng video: {"min":1700000000,"max":1700000000}

seller_nameregion phải được truyền cùng lúc

Giá trị tùy chọn của orderby

TrườngBắt buộcMô tả
play_countKhôngsố lượt phát
digg_countKhôngsố lượt digg
comment_countKhôngsố bình luận
share_countKhôngsố lượt chia sẻ
units_soldKhôngSản lượng bán
gmvKhôngSố tiền bán (GMV)

Ví dụ yêu cầu

bash
curl 'https://openapi.fastmoss.com/shop/v1/videoList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "seller_id": "7495500842223700917",
        # "creator_uid": "xxxxxxxxxxx",
        # "creator_unique_id": "xxxxxxx",
        # "seller_name": "xxxxxx",
        # "region": "US",
        # "create_time_range": {
        #     "min": 1700000000,
        #     "max": 1700000000
        # }
    },
    "orderby": [{
        "field": "play_count",
        "order": "desc"
    }],
    # "orderby": [{
    #     "field": "digg_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "comment_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "share_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "units_sold",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "gmv",
    #     "order": "desc"
    # }],
    "page": 1,
    "pagesize": 10
}'

Phần thân phản hồi

data.list

TrườngKiểuMô tả
product_idstringID sản phẩm
video_idstringID video
uidstringID người dùng
seller_idstringID người bán
is_adintCó phải quảng cáo
comment_countintSố bình luận
digg_countintSố lượt thích
play_countintSố lượt phát
share_countintSố lượt chia sẻ
create_datestringNgày tạo
units_soldintSản lượng bán
gmvfloatDoanh thu bán hàng
regionstringQuốc gia/Khu vực
videoobjectĐối tượng thông tin video

data.list.video

TrườngKiểuMô tả
video_descstringMô tả video
coverstringURL ảnh bìa
durationintThời lượng (giây)
fastmoss_urlstringLiên kết Fastmoss
tiktok_urlstringLiên kết TikTok
uidstringID người dùng
create_timetimestampThời gian tạo

data.total

TrườngKiểuMô tả
totalstringTổng số bản ghi

Ví dụ phản hồi

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "product_id": "1729421229342823356",
        "video_id": "7468186866076880170",
        "uid": "6790997286808093702",
        "create_time": 1738838400,
        "is_ad": "0",
        "seller_id": "7495150597721263036",
        "comment_count": "0",
        "digg_count": "14",
        "play_count": "4592",
        "share_count": "0",
        "create_date": "2025-02-06",
        "sold_count": "28",
        "sale_amount": "700.0000",
        "video": {
          "video_desc": "@tarte cosmetics #tiktokshoploveatfirstfind #fypシ #tartecosmetics ",
          "cover": "https://s.500fd.com/tt_video/oIMPp5BmEi2ZEHYBiVzCkBKA0IlmpTGfwAhiOI",
          "duration": "12",
          "fastmoss_url": "https://www.fastmoss.com/zh/media-source/video/7468186866076880170",
          "tiktok_url": "https://www.tiktok.com/@brriiddgett/video/7468186866076880170",
          "uid": "6790997286808093702",
          "create_time": 1738838400
        },
        "region": "US"
      }
    ],
    "total": "3809"
  },
  "message": "success",
  "timestamp": 1743573480,
  "request_id": "efd631c4-92cf-5d27-4f41-de09f20dd714"
}